package de.mrbesen.cppplugins;

import lombok.Getter;
import org.bukkit.Bukkit;
import org.bukkit.plugin.Plugin;
import org.bukkit.plugin.java.JavaPlugin;

import java.io.File;
import java.util.logging.Level;

public class CppPlugins extends JavaPlugin {

	public static String testplugin = "simpleevents.so";

	@Getter
	private static CppPlugins instance;

	public CppPlugins() {
		instance = this;
	}

	@Override
	public void onLoad() {
		Bukkit.getPluginManager().registerInterface(CppLoader.class);
		getLogger().info("registered");

		try {
			Bukkit.getPluginManager().loadPlugin(new File("plugins/" + testplugin)); //TODO: do loading in another way
			System.out.println("loaded " + testplugin);

			//TODO: trigger onLoad in those Plugins
		} catch (Throwable e) {
			getLogger().log(Level.SEVERE, "Error ocoured during loading " + testplugin, e);
		}
	}

	@Override
	public void onDisable() {
		Plugin[] pls = Bukkit.getPluginManager().getPlugins();
		for (int i = 0; i < pls.length; i++) {
			Plugin p = pls[i];
			if(p.isEnabled()) {
				if(p.getPluginLoader().getClass().equals(CppLoader.class)) {
					p.getPluginLoader().disablePlugin(p);
				}
			}
		}
	}
}
