#include "plugin.h"

#include <iostream>
#include <string>
#include <map>

extern "C" {

class MyPlugin : public CppPlugin {
public:
    virtual void onLoad();
    virtual void onEnable();
    virtual void onDisable();
    //virtual std::map<std::string, eventfptr> getEvents();
};

void MyPlugin::onLoad() {
	std::cout << "onload();" << std::endl;
}

void MyPlugin::onEnable() {
	std::cout << "onEnable();" << std::endl;
}

void MyPlugin::onDisable() {
	std::cout << "onDisable();" << std::endl;
}

CppPlugin* init() {
    std::cout << "init im plugin!" << std::endl;
    return new MyPlugin();
}

}//extern "C"